centos 上安装nodejs v8.0.0

Linux就该这么学

新建目录www

下载nodejs

wget https://npm.taobao.org/mirrors/node/v8.0.0/node-v8.0.0-linux-x64.tar.xz

解压

tar -xvf  node-v8.0.0-linux-x64.tar.xz

测试是否安装成功

进入解压目录下的 bin 目录,执行 ls 命令

cd  node-v8.0.0-linux-x64/bin && ls

有node 和 npm

测试

./node -v

安装成功

现在 node 和 npm 还不能全局使用,做个链接

ln -s /www/node-v8.0.0-linux-x64/bin/node /usr/local/bin/node
    
ln -s /www/node-v8.0.0-linux-x64/bin/npm /usr/local/bin/npm

可以在任何目录下执行 node 和 npm 命令

 

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@^1.0.0 (node_modules/chokidar/node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.0.14: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})

最主要的原因还是在NPM上,因为用了n来管理nodejs的版本,npm依赖的是nodejs,而n管理node的版本时因为也要依赖node所以有时候会出现一些问题,去找了一下tj大神的n发布页面,上面提到在使用n来切换版本之后,需要修复一下node与npm之间的关系,否则npm很可能出现问题。即在使用完n切换版本之后,需要运行以下脚本,来修复npm

$ curl -0 -L https://npmjs.org/install.sh | sudo sh

视你终端的配置,取舍后面的sudo

参考:https://segmentfault.com/q/1010000007163713
     https://github.com/tj/n

本文由来源 SnailDev,由 centos 整理编辑,其版权均为 SnailDev 所有,文章内容系作者个人观点,不代表 CentOS中文站 - 专注Linux技术 对观点赞同或支持。如需转载,请注明文章来源。

相关文章

发表评论

电子邮件地址不会被公开。 必填项已用*标注